org.eclipse.emf.compare.ide.ui.internal.structuremergeviewer

## Class AbstractStructuredViewerWrapper.ControlAndViewer<C extends org.eclipse.swt.widgets.Control,V extends org.eclipse.emf.compare.ide.ui.internal.structuremergeviewer.IWrappableStructuredViewer>

- java.lang.Object
- - org.eclipse.emf.compare.ide.ui.internal.structuremergeviewer.AbstractStructuredViewerWrapper.ControlAndViewer<C,V>

Enclosing class:
  AbstractStructuredViewerWrapper<C extends org.eclipse.swt.widgets.Control,V extends org.eclipse.emf.compare.ide.ui.internal.structuremergeviewer.IWrappableStructuredViewer>

    public static final class AbstractStructuredViewerWrapper.ControlAndViewer<C extends org.eclipse.swt.widgets.Control,V extends org.eclipse.emf.compare.ide.ui.internal.structuremergeviewer.IWrappableStructuredViewer>
    extends Object

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static <C extends org.eclipse.swt.widgets.Control,V extends org.eclipse.emf.compare.ide.ui.internal.structuremergeviewer.IWrappableStructuredViewer> AbstractStructuredViewerWrapper.ControlAndViewer<C,V>` `create(C control, V viewer)`
`C` `getControl()`
`V` `getViewer()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getControl

    public C getControl()

Returns:
  the c

#### getViewer

    public V getViewer()

Returns:
  the v

#### create

    public static <C extends org.eclipse.swt.widgets.Control,V extends org.eclipse.emf.compare.ide.ui.internal.structuremergeviewer.IWrappableStructuredViewer> AbstractStructuredViewerWrapper.ControlAndViewer<C,V> create(C control,
                                                                                                                                                                                                                             V viewer)